> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-0/v10-0-1.md).

# Version 10.0.1 Changelog (2023-04-20)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

* Added a new an option for `DocumentViewer.startSemanticDiff` to enable "extra move highlights"
* Improve the optimize script to remove unneeded dependencies for features that are not used.

### Fixes

* Fixed issue where typing offscreen when in DOCX edit mode would cause the scroll action in the document to be triggered too many times.
* Fixed an issue with canvases which was appending new page numbers to their class names instead of replacing them.
* Fixed the issue where imported distance measurement annotation would not show caption right away.

## WebViewer UI

### New

* Added new Scroll Sync behaviour for MultiViewer. Use `UI.setMultiViewerSyncScrollingMode`.

### Fixes

* Fixed Office PNG downloads having a transparent background instead of white.
* Fixed focus loop error generating call stack errors when closing the custom stamp modal in certain cases.
* Fixed an issue with the Compare panel not showing multi-page changes.
* Fixed a bug where Thumbnail rotations wouldn't always apply to the proper page.
* Fixed dispose error for a removed handler.
* Fixed an issue where earch results in the Search Panel were not being updated when deleting or moving pages.
* Fixed an issue with the UI causing FreeTextAnnotations to be resized when they are not set to Auto Size.
* Fixed a bug where updating radius in Ellipse Measurement scale overlay did not update the annotation caption.
* Fixed an issue where some pages of files with a high number of pages were not being displayed depending on the zoom applied and screen size.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-0/v10-0-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
